Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.tools
Class DataPortTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.cayenne.tools.CayenneTask
                  org.apache.cayenne.tools.DataPortTask

    public class DataPortTask

extends CayenneTask

A "cdataport" Ant task implementing a frontend to DataPort allowing porting database data using Ant build scripts.

Since:
  1.2: Prior to 1.2 DataPort classes were a part of cayenne-examples package.
Author:
  Andrus Adamchik

Field Summary
`protected boolean` | `cleanDest`
`protected String` | `destNode`
`protected String` | `excludeTables`
`protected String` | `includeTables`
`protected String` | `maps`
`protected File` | `projectFile`
`protected String` | `srcNode`

Fields inherited from class org.apache.cayenne.tools.CayenneTask
`classpath`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DataPortTask()`

Method Summary
`void` | `execute()`
`protected DataNode` | `findNode(Configuration configuration, String name)`
`protected Collection<DbEntity>` | `getAllEntities(DataNode source, DataNode target)`
`void` | `setCleanDest(boolean flag)`
`void` | `setDestNode(String destNode)`
`void` | `setExcludeTables(String excludeTables)`
`void` | `setIncludeTables(String includeTables)`
`void` | `setMaps(String maps)`
`void` | `setProjectFile(File projectFile)`
`void` | `setSrcNode(String srcNode)`
`protected void` | `validateParameters()`

Methods inherited from class org.apache.cayenne.tools.CayenneTask
`setClasspath, setClasspathRef`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projectFile

    protected File projectFile

### maps

    protected String maps

### srcNode

    protected String srcNode

### destNode

    protected String destNode

### includeTables

    protected String includeTables

### excludeTables

    protected String excludeTables

### cleanDest

    protected boolean cleanDest

Constructor Detail

### DataPortTask

    public DataPortTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### findNode

    protected DataNode findNode(Configuration configuration,
                                String name)

### getAllEntities

    protected Collection<DbEntity> getAllEntities(DataNode source,
                                                  DataNode target)

### validateParameters

    protected void validateParameters()
                               throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setDestNode

    public void setDestNode(String destNode)

### setExcludeTables

    public void setExcludeTables(String excludeTables)

### setIncludeTables

    public void setIncludeTables(String includeTables)

### setMaps

    public void setMaps(String maps)

### setProjectFile

    public void setProjectFile(File projectFile)

### setSrcNode

    public void setSrcNode(String srcNode)

### setCleanDest

    public void setCleanDest(boolean flag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.